Scriptname CR03QuestScript extends CompanionsRadiantQuest conditional

ReferenceAlias Property SamplePelt auto
ReferenceAlias Property SamplePeltSpawnPoint auto

int Property UpdateInterval auto

int Property MinSkins auto
int Property MaxSkins auto

MiscObject Property BearCave auto
MiscObject Property Bear auto
MiscObject Property BearSnow auto
MiscObject Property SabreCat auto
MiscObject Property SabreCatSnow auto
MiscObject Property WolfIce auto
MiscObject Property Wolf auto

int targetNumberOfSkins = -1
int currentNumberOfSkins = -1
GlobalVariable Property TotalNeeded auto
GlobalVariable Property PeltsGotten auto
MiscObject TargetSkins = None
int Property TargetSkinsIndex auto conditional

GlobalVariable Property AYOPCPCR03Pelt  Auto  

Function Setup()

If AYOPCPCR03Pelt.Value == 1	
	TargetSkins = Wolf
	targetNumberOfSkins = 3
ElseIf AYOPCPCR03Pelt.Value == 2	
	TargetSkins = Bear 
	targetNumberOfSkins = 2
ElseIf AYOPCPCR03Pelt.Value == 3	
	TargetSkins = SabreCat 
	targetNumberOfSkins = 2
ElseIf AYOPCPCR03Pelt.Value == 4	
	TargetSkins = BearCave 
	targetNumberOfSkins = 2
ElseIf AYOPCPCR03Pelt.Value == 5	
	TargetSkins = WolfIce 
	targetNumberOfSkins = 3
ElseIf AYOPCPCR03Pelt.Value == 6	
	TargetSkins = BearSnow 
	targetNumberOfSkins = 2
ElseIf AYOPCPCR03Pelt.Value == 7	
	TargetSkins = SabreCatSnow 
	targetNumberOfSkins = 2
Else
	TargetSkinsIndex = Utility.RandomInt(1, 3)
	if     (TargetSkinsIndex == 1)
		TargetSkins = BearSnow 
	targetNumberOfSkins = 2
	elseif (TargetSkinsIndex == 2)
		TargetSkins = SabreCatSnow 
	targetNumberOfSkins = 2
	elseif (TargetSkinsIndex == 3)
		TargetSkins = WolfIce 
	targetNumberOfSkins = 3
	endif
EndIf

	TotalNeeded.value = targetNumberOfSkins
	currentNumberOfSkins = 0
	PeltsGotten.value = currentNumberOfSkins
	UpdateCurrentInstanceGlobal(TotalNeeded)
	UpdateCurrentInstanceGlobal(PeltsGotten)

	if (TargetNumberOfSkins <= 0)
		TargetNumberOfSkins = 3
	endif
	
	ObjectReference pelt = SamplePeltSpawnPoint.GetReference().PlaceAtMe(TargetSkins)
	SamplePelt.ForceRefTo(pelt)
	
	parent.Setup()
EndFunction

Function Accepted()
	RegisterForUpdate(UpdateInterval)
	
	parent.Accepted()
EndFunction

Function Finished(bool _succeeded = true, bool _finished = true)	
	parent.Finished(_succeeded, _finished)
EndFunction

Function Cleanup()
	UnRegisterForUpdate()
	Game.GetPlayer().RemoveItem(TargetSkins, TargetNumberOfSkins)
	
	ObjectReference pelt = SamplePelt.GetReference()
	SamplePelt.Clear()
	pelt.Disable()
	pelt.Delete()
	
	parent.Cleanup()
EndFunction

Event OnUpdate()
	int currentSkins = Game.GetPlayer().GetItemCount(TargetSkins)
	if (currentSkins == currentNumberOfSkins)
		return
	else
; 		Debug.Trace("CRQ CR03: currentSkins=" + currentSkins + "; currentNumberOfSkins=" + currentNumberOfSkins)
	endif
	
	PeltsGotten.value = currentSkins
	UpdateCurrentInstanceGlobal(PeltsGotten)
	
	if (currentSkins >= TargetNumberOfSkins)
		SetStage(20)
		SetObjectiveCompleted(10, 1)
		Finished(true, true)
	elseif (GetStageDone(20))
		; at one point we had enough, but lost some
		SetObjectiveCompleted(10, 0)
		SetObjectiveDisplayed(10, 1, True)
		Finished(false, false)
	else
		; still not enough... the hippos will always be hungry
		SetObjectiveDisplayed(10, 1, True)
		Finished(false, false)
	endif
		
	currentNumberOfSkins = currentSkins
EndEvent