Scriptname AYOPTOMCMScript extends SKI_ConfigBase 

GlobalVariable Property HPMarkarth  Auto  
GlobalVariable Property HPRiften  Auto
GlobalVariable Property HPSolitude  Auto  
GlobalVariable Property HPWhiterun  Auto  
GlobalVariable Property HPWindhelm  Auto  
GlobalVariable Property FriendsTotalMinorHold  Auto  
GlobalVariable Property FriendsTotalMajorHold  Auto  
GlobalVariable Property InvestAmount  Auto  
GlobalVariable Property TODisableSimpleFavors  Auto  

Int OID_HPMarkarth
Int OID_HPRiften
Int OID_HPSolitude  
Int OID_HPWhiterun  
Int OID_HPWindhelm
Int OID_FriendsTotalMinorHold
Int OID_FriendsTotalMajorHold
Int OID_InvestAmount

int TODisableSimpleFavorsToggle
bool TODisableSimpleFavorsToggleState = true

Event OnConfigInit()
	ModName = "AYOP - Thane Overhaul"
EndEvent

Event OnPageReset(string page)
	SetCursorFillMode(TOP_TO_BOTTOM)
   	AddHeaderOption("Friends needed to become Thane")
	OID_FriendsTotalMajorHold = AddSliderOption("Cities", FriendsTotalMajorHold.GetValue(),"{0}")
	OID_FriendsTotalMinorHold  = AddSliderOption("Towns", FriendsTotalMinorHold.GetValue(),"{0}")
	AddEmptyOption()
  	AddHeaderOption("House Prices")
	OID_HPRiften = AddSliderOption("Riften", HPRiften.GetValue(),"{0}")
	OID_HPWhiterun  = AddSliderOption("Whiterun", HPWhiterun.GetValue(),"{0}")
	OID_HPMarkarth = AddSliderOption("Markarth", HPMarkarth.GetValue(),"{0}")
	OID_HPWindhelm  = AddSliderOption("Windhelm", HPWindhelm.GetValue(),"{0}")
	OID_HPSolitude  = AddSliderOption("Solitude", HPSolitude.GetValue(),"{0}")
	AddEmptyOption()
  	AddHeaderOption("Misc")
	OID_InvestAmount= AddSliderOption("Invest Amount", InvestAmount.GetValue(),"{0}")
	TODisableSimpleFavorsToggle = AddToggleOption("Simple Favors Disabled", TODisableSimpleFavorsToggleState)
endEvent
 
Event OnOptionSliderOpen(Int Option)
    if(Option == OID_HPRiften)
        SetSliderDialogStartValue(HPRiften.GetValue())
        SetSliderDialogDefaultValue(100000)
        SetSliderDialogRange(1000,500000)
        SetSliderDialogInterval(1000)
   elseif(Option == OID_HPWhiterun)
        SetSliderDialogStartValue(HPWhiterun.GetValue())
        SetSliderDialogDefaultValue(100000)
        SetSliderDialogRange(1000,500000)
        SetSliderDialogInterval(1000)
   elseif(Option == OID_HPMarkarth)
        SetSliderDialogStartValue(HPMarkarth.GetValue())
        SetSliderDialogDefaultValue(250000)
        SetSliderDialogRange(1000,500000)
        SetSliderDialogInterval(1000)
   elseif(Option == OID_HPWindhelm)
        SetSliderDialogStartValue(HPWindhelm.GetValue())
        SetSliderDialogDefaultValue(200000)
        SetSliderDialogRange(1000,500000)
        SetSliderDialogInterval(1000)
   elseif(Option == OID_HPSolitude)
        SetSliderDialogStartValue(HPSolitude.GetValue())
        SetSliderDialogDefaultValue(350000)
        SetSliderDialogRange(1000,500000)
        SetSliderDialogInterval(1000)
   elseif(Option == OID_FriendsTotalMajorHold)
        SetSliderDialogStartValue(FriendsTotalMajorHold.GetValue())
        SetSliderDialogDefaultValue(10)
        SetSliderDialogRange(1,25)
        SetSliderDialogInterval(1)
   elseif(Option == OID_FriendsTotalMinorHold)
        SetSliderDialogStartValue(FriendsTotalMinorHold.GetValue())
        SetSliderDialogDefaultValue(5)
        SetSliderDialogRange(1,25)
        SetSliderDialogInterval(1)
   elseif(Option == OID_InvestAmount)
        SetSliderDialogStartValue(InvestAmount.GetValue())
        SetSliderDialogDefaultValue(5000)
        SetSliderDialogRange(100,10000)
        SetSliderDialogInterval(100)
    endif
EndEvent

Event OnOptionSliderAccept(Int Option, Float Value)
    if(Option == OID_HPMarkarth)
        HPMarkarth.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_HPRiften)
        HPRiften.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_HPWhiterun)
        HPWhiterun.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_HPWindhelm)
        HPWindhelm.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_HPSolitude)
        HPSolitude.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_FriendsTotalMajorHold)
        FriendsTotalMajorHold.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_FriendsTotalMinorHold)
        FriendsTotalMinorHold.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    elseif(Option == OID_InvestAmount)
        InvestAmount.setValue(Value)
        SetSliderOptionValue(Option,Value,"{0}")
    endif
EndEvent

Event OnOptionSelect(int option)
	if (option == TODisableSimpleFavorsToggle)
		TODisableSimpleFavorsToggleState = !TODisableSimpleFavorsToggleState
		SetToggleOptionValue(TODisableSimpleFavorsToggle, TODisableSimpleFavorsToggleState)
	endIf
	if TODisableSimpleFavorsToggleState == "true"
		TODisableSimpleFavors.Value = 1
	else
		TODisableSimpleFavors.Value = 0
	endif
endEvent

Event OnOptionHighlight(Int Option)
	if (Option == OID_HPMarkarth)
		SetInfoText("The price of the player house in Markarth.")
	elseif (Option == OID_HPRiften)
		SetInfoText("The price of the player house in Riften.")
	elseif (Option == OID_HPWhiterun)
		SetInfoText("The price of the player house in Whiterun.")
	elseif (Option == OID_HPWindhelm)
		SetInfoText("The price of the player house in Windhelm.")
	elseif (Option == OID_HPSolitude)
		SetInfoText("The price of the player house in Solitude.")
	elseif (Option == OID_FriendsTotalMajorHold)
		SetInfoText("The number of Friends needed to become Thane of a City.")
	elseif (Option == OID_FriendsTotalMinorHold)
		SetInfoText("The number of Friends needed to become Thane of a Town.")
	elseif (Option == OID_InvestAmount)
		SetInfoText("The cost of Investing in a Store.")
	elseif (Option == TODisableSimpleFavorsToggle)
		SetInfoText("Chopping wood, havesting crops and mining ore doesn't make you friends with the Questgiver.")
    endif
EndEvent